org.eclipse.oomph.resources.util

## Class ResourcesAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.oomph.resources.util.ResourcesAdapterFactory

- All Implemented Interfaces:
    AdapterFactory

      public class ResourcesAdapterFactory
      extends AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `ResourcesPackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ResourcesPackage` | `modelPackage` The cached model package.
    `protected ResourcesSwitch<Adapter>` | `modelSwitch` The switch that delegates to the `createXXX` methods.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourcesAdapterFactory()` Creates an instance of the adapter factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adapter` | `createAdapter(Notifier target)` Creates an adapter for the `target`.
    `Adapter` | `createEclipseProjectFactoryAdapter()` Creates a new adapter for an object of class '`Eclipse Project Factory`'.
    `Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
    `Adapter` | `createMavenProjectFactoryAdapter()` Creates a new adapter for an object of class '`Maven Project Factory`'.
    `Adapter` | `createModelElementAdapter()` Creates a new adapter for an object of class '`Model Element`'.
    `Adapter` | `createProjectFactoryAdapter()` Creates a new adapter for an object of class '`Project Factory`'.
    `Adapter` | `createSourceLocatorAdapter()` Creates a new adapter for an object of class '`Source Locator`'.
    `Adapter` | `createXMLProjectFactoryAdapter()` Creates a new adapter for an object of class '`XML Project Factory`'.
    `boolean` | `isFactoryForType(Object object)` Returns whether this factory is applicable for the type of the object.

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static ResourcesPackage modelPackage

      The cached model package.
      Generated

    - #### modelSwitch

          protected ResourcesSwitch<Adapter> modelSwitch

      The switch that delegates to the `createXXX` methods.
      Generated

  - ### Constructor Detail

    - #### ResourcesAdapterFactory

          public ResourcesAdapterFactory()

      Creates an instance of the adapter factory.
      Generated

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `AdapterFactory`
      Overrides:
        `isFactoryForType` in class `AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.
      Generated

    - #### createAdapter

          public Adapter createAdapter(Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.
      Generated

    - #### createSourceLocatorAdapter

          public Adapter createSourceLocatorAdapter()

      Creates a new adapter for an object of class '`Source Locator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `SourceLocator`
      Generated

    - #### createProjectFactoryAdapter

          public Adapter createProjectFactoryAdapter()

      Creates a new adapter for an object of class '`Project Factory`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ProjectFactory`
      Generated

    - #### createXMLProjectFactoryAdapter

          public Adapter createXMLProjectFactoryAdapter()

      Creates a new adapter for an object of class '`XML Project Factory`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `XMLProjectFactory`
      Generated

    - #### createEclipseProjectFactoryAdapter

          public Adapter createEclipseProjectFactoryAdapter()

      Creates a new adapter for an object of class '`Eclipse Project Factory`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EclipseProjectFactory`
      Generated

    - #### createMavenProjectFactoryAdapter

          public Adapter createMavenProjectFactoryAdapter()

      Creates a new adapter for an object of class '`Maven Project Factory`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `MavenProjectFactory`
      Generated

    - #### createModelElementAdapter

          public Adapter createModelElementAdapter()

      Creates a new adapter for an object of class '`Model Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ModelElement`
      Generated

    - #### createEObjectAdapter

          public Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html